<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__conn__handle__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_conn_handle_t</compoundname>
    <includes local="no">cy_ble_stack_host_main.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__conn__handle__t_1a6f9fcb70ff6f8dacf150c671df771f9d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_conn_handle_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>Identifies the peer device(s) bonded or currently connected. </para>        </briefdescription>
        <detaileddescription>
<para>The BLE Stack supports CY_BLE_GAP_MAX_BONDED_DEVICE+CY_BLE_MAX_CONNECTION_INSTANCES devices. First device connected is assigned value (CY_BLE_GAP_MAX_BONDED_DEVICE +CY_BLE_MAX_CONNECTION_INSTANCES)-1. If one device is present in the Bonded Devices List, then the current device will be assigned the value (CY_BLE_GAP_MAX_BONDED_DEVICE+CY_BLE_MAX_CONNECTION_INSTANCES)-2, otherwise (CY_BLE_GAP_MAX_BONDED_DEVICE+CY_BLE_MAX_CONNECTION_INSTANCES)-1. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="362" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="362" />
      </memberdef>
      <memberdef id="structcy__stc__ble__conn__handle__t_1a5b7b8e26c680094b51360e4245a252c5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_conn_handle_t::attId</definition>
        <argsstring />
        <name>attId</name>
        <briefdescription>
<para>Identifies the active ATT connection Instance. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="366" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="366" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Connection Handle. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="368" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" bodystart="352" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_host_main.h" line="353" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__conn__handle__t_1a5b7b8e26c680094b51360e4245a252c5" virt="non-virtual"><scope>cy_stc_ble_conn_handle_t</scope><name>attId</name></member>
      <member prot="public" refid="structcy__stc__ble__conn__handle__t_1a6f9fcb70ff6f8dacf150c671df771f9d" virt="non-virtual"><scope>cy_stc_ble_conn_handle_t</scope><name>bdHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>